/******************************************************************************/
/*                                                                            */
/*  Title       : satstrings.h                                                */
/*  Author      : Manfred Bester, DL5KR                                       */
/*  Date        : 30May94                                                     */
/*  Last change : 26Aug94                                                     */
/*                                                                            */
/*  Synopsis    : ASCII strings for 'sattrack'.                               */
/*                                                                            */
/*                                                                            */
/*  Copyright (c) 1992, 1993, 1994 Manfred Bester. All Rights Reserved.       */
/*                                                                            */
/*  Permission to use, copy, modify, and distribute this software and its     */
/*  documentation for educational, research and non-profit purposes, without  */
/*  fee, and without a written agreement is hereby granted, provided that the */
/*  above copyright notice and the following three paragraphs appear in all   */
/*  copies.                                                                   */
/*                                                                            */
/*  Permission to incorporate this software into commercial products may be   */
/*  obtained from the author, Dr. Manfred Bester, 1636 M. L. King Jr. Way,    */
/*  Berkeley, CA 94709, USA.                                                  */
/*                                                                            */
/*  IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, */
/*  SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF   */
/*  THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE AUTHOR HAS BEEN ADVISED  */
/*  OF THE POSSIBILITY OF SUCH DAMAGE.                                        */
/*                                                                            */
/*  THE AUTHOR SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT      */
/*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A   */
/*  PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS"      */
/*  BASIS, AND THE AUTHOR HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, */
/*  UPDATES, ENHANCEMENTS, OR MODIFICATIONS.                                  */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/*                                                                            */
/*  global fields                                                             */
/*                                                                            */
/******************************************************************************/

char sattrVersion[] = "V2.0";

char sattrName[]    = "SatTrack";

char sattrHeader[]  = "Satellite Tracking Program";

char predHeader[]   = "Orbit Prediction";

char dispHeader[]   = "TRACKING DISPLAY";

char *visibCode[]   = { "D", "P", "N", "V", " " };

char *dayNames[]    = { "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat" };

char *monthNames[]  = { "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", 
                        "Aug", "Sep", "Oct", "Nov", "Dec" };

/******************************************************************************/
/*                                                                            */
/*  time zone information                                                     */
/*                                                                            */
/*  ATTENTION: 'timeZones' must be equal to the number of entries in          */
/*             'timeZoneList' and 'timeZoneHour'                              */
/*                                                                            */
/******************************************************************************/

char   *timeZoneList[] = { "UTC",  
                           "CET",  "MEZ",  "MSZ", "EEST", "EEDT", 
                           "EST",  "EDT",  "CST",  "CDT",  "MST",  "MDT", 
                           "PST",  "PDT",  "HST" };

double timeZoneHour[]  = {  0.0,    
                            1.0,    1.0,    2.0,    2.0,    3.0, 
                           -5.0,   -4.0,   -6.0,   -5.0,   -7.0,   -6.0, 
                           -8.0,   -7.0,  -10.0  };

int    timeZones       = 15;

/******************************************************************************/
/*                                                                            */
/*  end of include file satstrings.h                                          */
/*                                                                            */
/******************************************************************************/
